/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.HotelServices.model.dto;

import com.HotelServices.model.dao.EtelDAO;
import com.HotelServices.model.dao.ProgramokDAO;
import com.HotelServices.model.dao.TakaritasDAO;
import java.util.LinkedList;

/**
 *
 * @author Sensei
 */
public class VendegDTO extends EmberDTO{

    private String felhasznalonev;
    private String jelszo;
    private String nev;
    private int iSzam;
    private String cim;
    private String telszam;
    private int szobaszam;
    private LinkedList<EtelDAO> etel;
    private TakaritasDAO takaritas;
    private LinkedList<ProgramokDAO> programok;

    public VendegDTO() {
    }
    
    public VendegDTO(String felhasznalonev, String jelszo, String nev, int iSzam, String cim, String telszam, int szobaszam) {
        this.felhasznalonev = felhasznalonev;
        this.jelszo = jelszo;
        this.nev = nev;
        this.iSzam = iSzam;
        this.cim = cim;
        this.telszam = telszam;
        this.szobaszam = szobaszam;
    }

    public VendegDTO(String felhasznalonev, String jelszo, String nev, int iSzam, String cim, String telszam) {
        this.felhasznalonev = felhasznalonev;
        this.jelszo = jelszo;
        this.nev = nev;
        this.iSzam = iSzam;
        this.cim = cim;
        this.telszam = telszam;
    }

    @Override
    public String getCim() {
        return cim;
    }

    @Override
    public void setCim(String cim) {
        this.cim = cim;
    }

    public LinkedList<EtelDAO> getEtel() {
        return etel;
    }

    public void setEtel(LinkedList<EtelDAO> etel) {
        this.etel = etel;
    }

    @Override
    public String getFelhasznalonev() {
        return felhasznalonev;
    }

    @Override
    public void setFelhasznalonev(String felhasznalonev) {
        this.felhasznalonev = felhasznalonev;
    }

    @Override
    public int getISzam() {
        return iSzam;
    }

    @Override
    public void setISzam(int iSzam) {
        this.iSzam = iSzam;
    }

    @Override
    public String getJelszo() {
        return jelszo;
    }

    @Override
    public void setJelszo(String jelszo) {
        this.jelszo = jelszo;
    }

    @Override
    public String getNev() {
        return nev;
    }

    @Override
    public void setNev(String nev) {
        this.nev = nev;
    }

    public LinkedList<ProgramokDAO> getProgramok() {
        return programok;
    }

    public void setProgramok(LinkedList<ProgramokDAO> programok) {
        this.programok = programok;
    }

    public int getSzobaszam() {
        return szobaszam;
    }

    public void setSzobaszam(int szobaszam) {
        this.szobaszam = szobaszam;
    }

    public TakaritasDAO getTakaritas() {
        return takaritas;
    }

    public void setTakaritas(TakaritasDAO takaritas) {
        this.takaritas = takaritas;
    }

    @Override
    public String getTelszam() {
        return telszam;
    }

    @Override
    public void setTelszam(String telszam) {
        this.telszam = telszam;
    }

    
}
